# PhasicFlow: nonLinear< limited >::nonLinearProperties Struct Reference

nonLinear< limited >::nonLinearProperties Struct Reference

## Public Member Functions

INLINE_FUNCTION_HD | nonLinearProperties ()
INLINE_FUNCTION_HD | nonLinearProperties (real Yeff, real Geff, real etha_n, real mu)
INLINE_FUNCTION_HD | nonLinearProperties (const nonLinearProperties &)=default
INLINE_FUNCTION_HD nonLinearProperties & | operator= (const nonLinearProperties &)=default
INLINE_FUNCTION_HD | ~nonLinearProperties ()=default

## Public Attributes

real | Yeff_ = 1000000.0
real | Geff_ = 8000000.0
real | ethan_ = 0.0
real | mu_ = 0.00001

## Detailed Description

### template<bool limited = true>
struct pFlow::cfModels::nonLinear< limited >::nonLinearProperties

Definition at line 39 of file nonLinearCF.hpp.

## Constructor & Destructor Documentation

## nonLinearProperties() [1/3]

INLINE_FUNCTION_HD nonLinearProperties | ( |  | ) |

inline

Definition at line 47 of file nonLinearCF.hpp.

## nonLinearProperties() [2/3]

INLINE_FUNCTION_HD nonLinearProperties | ( | real | Yeff,
|  | real | Geff,
|  | real | etha_n,
|  | real | mu
| ) |  |

inline

Definition at line 50 of file nonLinearCF.hpp.

## nonLinearProperties() [3/3]

INLINE_FUNCTION_HD nonLinearProperties | ( | const nonLinearProperties & |  | ) |

default

## ~nonLinearProperties()

INLINE_FUNCTION_HD ~nonLinearProperties | ( |  | ) |

default

## Member Function Documentation

## operator=()

INLINE_FUNCTION_HD nonLinearProperties& operator= | ( | const nonLinearProperties & |  | ) |

default

## Member Data Documentation

## Yeff_

real Yeff_ = 1000000.0

Definition at line 41 of file nonLinearCF.hpp.

## Geff_

real Geff_ = 8000000.0

Definition at line 42 of file nonLinearCF.hpp.

## ethan_

real ethan_ = 0.0

Definition at line 43 of file nonLinearCF.hpp.

## mu_

real mu_ = 0.00001

Definition at line 44 of file nonLinearCF.hpp.

The documentation for this struct was generated from the following file:

- src/Interaction/Models/contactForce/nonLinearCF.hpp